org.omg.CosNaming.NamingContextPackage

## Class CannotProceed

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CosNaming.NamingContextPackage.CannotProceed

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class CannotProceed
    extends UserException

org/omg/CosNaming/NamingContextPackage/CannotProceed.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Tuesday, February 14, 2017 3:06:32 PM UTC

### Field Summary

Fields
`NamingContext` `cxt`
`NameComponent[]` `rest_of_name`

### Constructor Summary

Constructors
Constructor and Description
`CannotProceed()`
`CannotProceed(NamingContext _cxt, NameComponent[] _rest_of_name)`
`CannotProceed(String $reason, NamingContext _cxt, NameComponent[] _rest_of_name)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cxt

    public NamingContext cxt

#### rest_of_name

    public NameComponent[] rest_of_name

### Constructor Detail

#### CannotProceed

    public CannotProceed()

#### CannotProceed

    public CannotProceed(NamingContext _cxt,
                 NameComponent[] _rest_of_name)

#### CannotProceed

    public CannotProceed(String $reason,
                 NamingContext _cxt,
                 NameComponent[] _rest_of_name)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.